<?
require_once('include/global.php');
require_once('include/addr_lib.php');
require_once('conf.inc.php');


// check
	if (!$_GET['adg_no'] || !$_POST['adg_name'])
		msg('올바른 URL로 접근하여 주십시오');
	limit_adg_no($_GET['adg_no']);

	// 중복여부 체크
	$adg_cnt = db_get_one("SELECT COUNT(*)  FROM " . $TB['ADDR_GROUP'] . " WHERE " . get_addr_group_where() . " AND adg_parent='" . $_POST['adg_parent'] . "' AND adg_name='" . $_POST['adg_name'] . "' AND adg_no != '" . $_GET['adg_no'] . "'");
	if ($adg_cnt > 0)
		msg("이미 존재하는 그룹 이름입니다.\\n\\n다른 이름을 사용하여 주십시오.");


// data
	to_db_str(&$_GET['adg_no'], 20);
	to_db_str(&$_POST['adg_name'], 50);

	/*
	$sql = "
		UPDATE
			" . $TB['ADDR_GROUP'] . "
		SET
			adg_name='" . $_POST['adg_name'] . "'
		WHERE
			adg_no='" . $_GET['adg_no'] . "'
			AND " . get_addr_group_where() . "
		";
	db_query($sql);
	*/
	// [2012-10-15] 주소록 그룹 트리 지원
	$cg = get_addr_group_tree_class();
	$msg = $cg->modifyRow($_GET['adg_no'], $_POST['adg_name'], $_POST['adg_parent'], $_POST['adg_sort'], NULL, NULL, "AND ".get_addr_group_where());
	if ($msg)
		msg($msg);


// end
	#msg("수정되었습니다.", 0);
	movepage('addr_group.php?'.get_qs('adg_no'));


require_once('include/global_end.php');
?>